%global momorel 1
%global qtver 3.2.3
%global qtdir /usr/lib/qt3
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Summary: an HTML editor for KDE
Name: quanta
Version: %{kdever}
Release: %{momorel}m
Group: Applications/Editors
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 7a0718b0fe1b4e833f0a9fff9987368a
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 7a0718b0fe1b4e833f0a9fff9987368a
# document
%NoSource 1 http://telia.dl.sourceforge.net/sourceforge/%{name}/css.tar.bz2 9134a94af4c783c740cc0ad5806e4b51
%NoSource 2 http://telia.dl.sourceforge.net/sourceforge/%{name}/html.tar.bz2 0cc3234c4b3df88d4115340ce05e0053
%NoSource 3 http://telia.dl.sourceforge.net/sourceforge/%{name}/php_manual_en_20030401.tar.bz2 149607cecd4bf6783dc6e43a03b80138
%NoSource 4 http://telia.dl.sourceforge.net/sourceforge/%{name}/javascript.tar.bz2 eea6e25a1c25af1f5a0c33e32e52c136
# use mozilla and w3m instead of netscap and lynx as preview browser
Patch0: momonga-quanta-3.1.1-preview-browser.patch
Patch1: javascript.patch
URL: http://quanta.sourceforge.net/
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever} libxml2-devel >= 2.6
Prefix: %{_prefix}

%description
Quanta Plus is an HTML editor for the K Desktop Environment. This
program is designed for quick Web development. Quanta is rapidly
becoming a mature editor with a number of great features. Its
objective is to produce a complete Web development environment for
active development with a focus on supporting professional level
development. This means full HTML 4.0 support including cascading
style sheets and lots of time saving features. Support for Perl,
Javascript, and PHP is being developed (and working to a small extent
in this release).

%prep
%setup -q -a 1 -a 2 -a 3 -a 4

# use mozilla and w3m instead of netscap and lynx as preview browser
#%patch0 -p1 -b .preview-browser~
%patch1 -p0 -b .javascript

autoconf

%build

export QTDIR=%{qtdir}

export CFLAGS="%{optflags} -DNDEBUG -UDEBUG -D_GNU_SOURCE"
export CXXFLAGS="$CFLAGS -fno-use-cxa-atexit"

%configure \
	--enable-gcov \
	--with-xinerama \
	--with-qt-dir=%{qtdir} \
	--with-qt-includes=%{qtdir}/include \
	--with-qt-libraries=%{qtdir}/lib \
	--with-kommander

make

%install
rm -rf %{buildroot}

make transform='s,x,x,' DESTDIR=%{buildroot} install

# install docs
for i in css html javascript ; do
   pushd $i
   ./install.sh <<EOF
$RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc
EOF
   popd
   rm -rf $i
done

cp -R php php.docrc $RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc

# fix dangling symlinks
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done
popd

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig >/dev/null 2>/dev/null

%postun
/sbin/ldconfig >/dev/null 2>/dev/null

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/apps/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/applnk/Applications/*
%{_datadir}/applnk/Development/*
%{_datadir}/doc/HTML/en/*

%{_libdir}/*.so.?
%{_includedir}/*

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- install document of html, php, javascript and css
  (Source1-4 and Patch1)
- temporaly omit Patch0: momonga-quanta-3.1.1-preview-browser.patch (unappliable)

* Tue Jan 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- import to momonga
    HTML Editor
- momonga-quanta-3.1.1-preview-browser.patch(Patch0)
    use mozilla and w3m instead of netscap and lynx as preview browser
